# Definitions

## GET /option/search

> Get lists of terms which are commonly used throughout the API.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/option/search":{"get":{"operationId":"OptionSearchAPISpec_get_/search","tags":["Definitions"],"summary":"Get lists of terms which are commonly used throughout the API.","parameters":[{"description":"Select a specific option rather than including all of them.","name":"field","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"A list of featured set groups.","content":{"application/json":{"schema":{"description":"A list of featured set groups.","type":"object","properties":{"circulation":{"description":"Circulation and CirculationTemplate types.","type":"array","items":{"type":"object","properties":{"foil":{"description":"Are cards printed with this circulation foil?","type":"boolean"},"text":{"description":"A human-friendly version of the circulation value.","type":"string"},"value":{"description":"The circulation type (this matches `kind` values found on `Circulation` and `CirculationTemplate` responses).","type":"string"}},"additionalProperties":false,"required":["foil","text","value"]}},"circulationPopulationOperator":{"description":"Circulation population operators used by `Circulation` and `CirculationTemplate` responses.","type":"array","items":{"type":"object","properties":{"symbol":{"description":"The circulation population operator symbol.","type":"string"},"text":{"description":"A human-friendly version of the circulation population operator value.","type":"string"},"value":{"description":"The circulation population operator.","type":"string"}},"additionalProperties":false,"required":["symbol","text","value"]}},"class":{"description":"Card classes.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}},"configuration":{"description":"Card edition configurations.","type":"object","properties":{"orientations":{"description":"A list of matching `configurationOrientation` values this configuration uses.","type":"array","items":{"type":"string"}},"text":{"description":"A human-friendly version of the configuration value.","type":"string"},"value":{"description":"The card edition's game configuration.","type":"string"}},"additionalProperties":false,"required":["orientations","text","value"]},"configurationOrientation":{"description":"Card edition configurations.","type":"object","properties":{"text":{"description":"A human-friendly version of the configuration orientation value.","type":"string"},"value":{"description":"The orientation of the game configuration.","type":"string"}},"additionalProperties":false,"required":["text","value"]},"element":{"description":"Card elements.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}},"gameFormat":{"description":"Game formats.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}},"language":{"description":"Card set languages.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}},"rarity":{"description":"Card edition rarities.","type":"array","items":{"type":"object","properties":{"display":{"description":"The rarity abbreviation.","type":"string"},"text":{"description":"The rarity name.","type":"string"},"value":{"description":"A stringified version of the rarity numbers associated with card editions.","type":"string"}},"additionalProperties":false,"required":["display","text","value"]}},"set":{"description":"Card sets.","type":"object","properties":{"display":{"description":"The set's display name. This usually matches the `text` value, but sometimes contains a shortened version instead.","type":"string"},"text":{"description":"The set's full name.","type":"string"},"value":{"description":"The set's prefix.","type":"string"}},"additionalProperties":false,"required":["display","text","value"]},"stat":{"description":"Numeric card stats.","type":"array","items":{"type":"object","properties":{"group":{"description":"The group the stat belongs to.","type":"string"},"text":{"description":"The stat name.","type":"string"},"value":{"description":"The stat key.","type":"string"}},"additionalProperties":false,"required":["group","text","value"]}},"statOperator":{"description":"Operators that can be used when searching for cards by their numeric stat values.","type":"array","items":{"type":"object","properties":{"for":{"description":"The value keys this stat operator specifically targets.","default":"undefined","type":"array","items":{"type":"string"}},"input":{"description":"Does this stat operator require additional input?\nA missing value is truthy - this property only applies if the value explicitly returns `false`.","default":"undefined","type":"boolean"},"symbol":{"description":"The operator's symbol.","type":"string"},"text":{"description":"A human-friendly description of the operator.","type":"string"},"value":{"description":"The computer-friendly operator.","type":"string"}},"additionalProperties":false,"required":["symbol","text","value"]}},"subtype":{"description":"Card subtypes.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}},"type":{"description":"Card types.","type":"array","items":{"type":"object","properties":{"text":{"description":"A human-friendly version of the value.","type":"string"},"value":{"description":"A value referenced or returned elsewhere by the API.","type":"string"}},"additionalProperties":false,"required":["text","value"]}}},"additionalProperties":false,"required":["circulation","circulationPopulationOperator","class","configuration","configurationOrientation","element","gameFormat","language","rarity","set","stat","statOperator","subtype","type"]}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.gatcg.com/endpoints/definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
